package com.xzzn.ems.domain.vo;

import com.xzzn.common.annotation.Excel;
import com.xzzn.ems.domain.EmsStrategyTemp;
import com.xzzn.ems.domain.EmsStrategyTimeConfig;

/**
 * 同步策略时间配置对象
 *
 * @author xzzn
 * @date 2025-11-16
 */
public class SyncStrategyTimeConfigVo extends EmsStrategyTimeConfig
{
    private static final long serialVersionUID = 1L;

    /** 策略名称，如“削峰填谷” */
    @Excel(name = "策略名称，如“削峰填谷”")
    private String strategyName;

    /** 策略类型：1 - 主策略；2 - 辅助策略 */
    @Excel(name = "策略类型：1 - 主策略；2 - 辅助策略")
    private Long strategyType;

    public String getStrategyName() {
        return strategyName;
    }

    public void setStrategyName(String strategyName) {
        this.strategyName = strategyName;
    }

    public Long getStrategyType() {
        return strategyType;
    }

    public void setStrategyType(Long strategyType) {
        this.strategyType = strategyType;
    }
}
